Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82284 - OpenOffice working at snails pace
Summary: OpenOffice working at snails pace
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: openoffice.org
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-20 21:05 UTC by Sammy
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-17 15:00:57 UTC


Attachments (Terms of Use)

Description Sammy 2003-01-20 21:05:55 UTC
Tested openoffice-1.0.1, 1.0.2 and 643C under Phoebe-2, and rawhide. 
System is Pentium 4, 1.8GHz, with 2GB RDRAM. 
 
We are running a scientific program, which takes about 177MB of RAM and no disk i/o.  
We have 
been running this program for a long time and it had no effect on openoffice performance. 
Now it does. While all other applications run at normal speed openoffice windows take a  
minute or two two open after every click, e.g. click on the File menu, a minute later you'll see 
the menu. Other applications like Netscape 7.01, KDE applications, run at their normal 
speeds.

Comment 1 Michael Lee Yohe 2003-01-21 17:04:09 UTC
You may wish to run OpenOffice from the terminal so that you can see messages
displayed to stderr.  Also, providing a strace of the process will assist
developers in seeing what is going on with your system.

Comment 2 Jakub Jelinek 2003-02-17 15:00:57 UTC
A hack in the kernel has been removed and thus OOo which foolishly calls
sched_yield very often is yielded as it requests.
Try rawhide openoffice (e.g. 1.0.2-2).


Note You need to log in before you can comment on or make changes to this bug.